/**
  *  \file enumerator.cpp
  *  \brief Enumeration Interfaces
  */

#include "enumerator.h"
#include "nls.h"

/** Constructor. */
KVEnumerator::KVEnumerator()
{ }

/** Destructor. */
KVEnumerator::~KVEnumerator()
{ }

/** Handle list values. This feeds a StringList into this object's
    handleItem(), using the list convention described there.
    \param name        Name of item (variable name)
    \param description User-visible description
    \param items       Strings */
void
KVEnumerator::handleListItem(std::string name,
                             std::string description,
                             const StringList& items)
{
    bool first = true;
    for (StringList::const_iterator i = items.begin(); i != items.end(); ++i) {
        handleItem(name, description, *i);
        if (first) {
            name += "+";
            description += _(" (continued)");
            first = false;
        }
    }
}
