/**
  *  \file filedownloadrequest.h
  *  \brief File Download Request class
  */
#ifndef FILEDOWNLOADREQUEST_H_INCLUDED
#define FILEDOWNLOADREQUEST_H_INCLUDED

#include "request.h"

class Game;
class Url;

/** File download request. Downloads a single file. Supports HTTP and
    FILE URLs. */
class FileDownloadRequest : public Request {
    std::string m_Url;
    Game&       m_Game;

    std::string m_ResultMessage;

    void doDownload(Url& u);
    void doCopy(Url& u);

 public:
    FileDownloadRequest(std::string url, Game& game);

    ~FileDownloadRequest();

    void run();

    void setResultMessage(std::string msg)
        { m_ResultMessage = msg; }
    
    std::string getResultMessage() const
        { return m_ResultMessage; }

    std::string getName();
};

#endif
