/**
  *  \file initializer.h
  *  \brief Game Initialisation Tasks
  */
#ifndef INITIALIZER_H_INCLUDED
#define INITIALIZER_H_INCLUDED

class RequestConsumer;
class Data;

class Initializer {
 public:
    Initializer(Data& data);

    void assignGameDirectories(bool force);

    void downloadMissingSpecs(RequestConsumer& con);

    int getGamesWithMissingSpecs() const
        { return m_HaveMissingSpecs; }

    int getGamesWithMissingDirs() const
        { return m_HaveMissingDirs; }

 private:
    Data& m_Data;

    int m_HaveMissingSpecs;

    int m_HaveMissingDirs;

    void check();
};

#endif
