/**
  *  \file md5.h
  *
  *  Copyright (C) 1991-2, RSA Data Security, Inc. Created 1991. All
  *  rights reserved.
  *
  *  License to copy and use this software is granted provided that it
  *  is identified as the "RSA Data Security, Inc. MD5 Message-Digest
  *  Algorithm" in all material mentioning or referencing this software
  *  or this function.
  *
  *  License is also granted to make and use derivative works provided
  *  that such works are identified as "derived from the RSA Data
  *  Security, Inc. MD5 Message-Digest Algorithm" in all material
  *  mentioning or referencing the derived work.
  *
  *  RSA Data Security, Inc. makes no representations concerning either
  *  the merchantability of this software or the suitability of this
  *  software for any particular purpose. It is provided "as is"
  *  without express or implied warranty of any kind.
  *
  *  These notices must be retained in any copies of any part of this
  *  documentation and/or software.
  */
#ifndef MD5_H_INCLUDED
#define MD5_H_INCLUDED

/** MD5 Message Digest Calculator. This is the RSA reference code
    from the RFC nicely wrapped in a C++ class. */
class Md5Context {
    unsigned long state[4];                                   /* state (ABCD) */
    unsigned long count[2];        /* number of bits, modulo 2^64 (lsb first) */
    unsigned char buffer[64];                                 /* input buffer */

 public:

    void init();

    void update(const unsigned char*, unsigned int);

    void final(unsigned char [16]);

    static void hmac(const unsigned char* text, unsigned int text_len,
                     const unsigned char* key, unsigned int key_len,
                     unsigned char digest[16]);
};

#endif
