/**
  *  \file race.cpp
  *  \brief Race class implementation
  *  \author Stefan Reuther
  */

#include "race.h"
#include "nls.h"
#include "expander.h"
#include "util.h"

/** Constructor.
    \param number Player number in game */
Race::Race(int number)
    : m_Number(number)
{ }

Race::~Race()
{ }

void
Race::enumerate(KVEnumerator& e)
{
    e.handleListItem("downloadurl", _("URL where to download new result files from"), m_DownloadUrls);
    e.handleListItem("specurl",     _("URL where to download specification files from"), m_SpecUrls);
    e.handleItem("uploadurl",       _("URL where to upload new turn files to"), m_UploadUrl);
    e.handleItem("uploadid",        _("File field name for HTT POST uploads"), m_UploadId);
}

bool
Race::assign(std::string name, std::string value, LoaderState& /*st*/)
{
    if (name == "downloadurl") {
        m_DownloadUrls.clear();
        m_DownloadUrls.push_back(value);
        return true;
    }
    if (name == "downloadurl+") {
        m_DownloadUrls.push_back(value);
        return true;
    }
    if (name == "specurl") {
        m_SpecUrls.clear();
        m_SpecUrls.push_back(value);
        return true;
    }
    if (name == "specurl+") {
        m_SpecUrls.push_back(value);
        return true;
    }
    if (name == "uploadurl") {
        m_UploadUrl = value;
        return true;
    }
    if (name == "uploadid") {
        m_UploadId = value;
        return true;
    }
    return false;
}
