/**
  *  \file race.h
  *  \brief Race class declaration
  *  \author Stefan Reuther
  */
#ifndef RACE_H_INCLUDED
#define RACE_H_INCLUDED

#include <string>
#include <list>
#include "propertyobject.h"

class Expander;

/** A race playing in a Game. */
class Race : public PropertyObject {
    int m_Number;

    StringList m_DownloadUrls;

    StringList m_SpecUrls;

    std::string m_UploadUrl;

    std::string m_UploadId;

 public:
    Race(int number);

    ~Race();

    void enumerate(KVEnumerator& e);

    bool assign(std::string name, std::string value, LoaderState& st);

    int getRaceNumber() const
        { return m_Number; }

    const StringList& getDownloadUrls() const
        { return m_DownloadUrls; }

    const StringList& getSpecificationUrls() const
        { return m_SpecUrls; }

    std::string getUploadUrl() const
        { return m_UploadUrl; }

    std::string getUploadId() const
        { return m_UploadId; }
};

#endif
